Skip to main content
GET
/
images
/
models
/
{author}
/
{slug}
/
endpoints
List endpoints for an image model
curl --request GET \
  --url https://openrouter.ai/api/v1/images/models/{author}/{slug}/endpoints \
  --header 'Authorization: Bearer <token>'
{
  "endpoints": [
    {
      "allowed_passthrough_parameters": [],
      "pricing": [
        {
          "billable": "output_image",
          "cost_usd": 0.05,
          "unit": "image"
        }
      ],
      "provider_name": "Bytedance",
      "provider_slug": "bytedance",
      "provider_tag": "bytedance",
      "supported_parameters": {
        "resolution": {
          "type": "enum",
          "values": [
            "1K",
            "2K",
            "4K"
          ]
        }
      },
      "supports_streaming": false
    }
  ],
  "id": "bytedance-seed/seedream-4.5"
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Path Parameters

author
string
required

Model author/organization

Example:

"bytedance-seed"

slug
string
required

Model slug

Example:

"seedream-4.5"

Response

The full per-endpoint records for an image model

The full per-endpoint records for an image model.

endpoints
object[]
required
id
string
required

Model slug

Example:

"bytedance-seed/seedream-4.5"